Description
Many of big players, as GitHub and StackOverflow, put inline code inside a inline block, with style very close to the pre style.

It would be interesting, for reading clarity and design purposes, that Redmine allow this kind of formatting. The closer we can get to
inline code is with marks, that make monospaced fonts.

| suggest the adoption of the backtip (*) notation for inline code. The result should be similar to the following:

Source:
This is “my little” snippet.

Result:
This is my little snippet.

The current result was achieved with:

This is %{padding:3px; background-color: #fafafa; border: lpx solid #e2e2e2;}my little% snippet.

Related issues:
Related to Redmine - Patch #31343: Visually distinguishable style for code tag Closed

History

#1 - 2012-10-06 19:05 - Caio Cunha

About the design, I'd like to also suggest border-radius: .25em; display: inline-block; for the sake of improving readability on inline block elements.

#2 - 2012-10-07 19:43 - Etienne Massip
- Category set to Text formatting
-1:

e not Textile
¢ backtip is not directly accessible on non-US keyboards

#3 - 2012-10-08 14:04 - Caio Cunha
Etienne Massip wrote:
-1:
e not Textile

e backtip is not directly accessible on non-US keyboards

No problem dropping the backtips, my point is more about styling indeed (thanks for categorizing it). Maybe the @ marks (for inline code) could
format with the boxed background. It renders a more readable code in the middle of the content than just a monospaced font.

#4 - 2019-10-02 15:47 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Fixed
http://redcloth.org/textile/html-integration-and-escapement/#inline-code

Caio Cunha wrote:
No problem dropping the backtips,
In Redmine 2.5 or later, you can use backticks if you use Markdown as a text formatting markup.
my point is more about styling indeed (thanks for categorizing it). Maybe the @ marks (for inline code) could format with the boxed background.

It renders a more readable code in the middle of the content than just a monospaced font.

The upcoming Redmine 4.1 sets background-color for inline code (#31343). They will be visually distinguishable.

#5 - 2019-10-02 15:47 - Go MAEDA
- Related to Patch #31343: Visually distinguishable style for code tag added
http://redcloth.org/textile/html-integration-and-escapement/#inline-code
https://www.redmine.org/issues/31343
http://www.tcpdf.org

